Package twisted :: Package runner :: Module procmon :: Class ProcessMonitor

[frames | no frames]

## Class ProcessMonitor

    Service --+
              |
             ProcessMonitor

Method Summary
| `__init__(self)`
| `__getstate__(self)`
| `__repr__(self)`
| `_checkConsistency(self)`
| `_forceStopProcess(self, proc)`
| `addProcess(self, name, args, uid, gid)`
| `connectionLost(self, name)`
| `removeProcess(self, name)`
| `restartAll(self)`
| `startProcess(self, name)`
| `startService(self)`
| `stopProcess(self, name)`
| `stopService(self)`
Inherited from Service
| ``disownServiceParent`(self)`
| ``privilegedStartService`(self)`
| ``setName`(self, name)`
| ``setServiceParent`(self, parent)`

Class Variable Summary
`int` | `active` = 0
`NoneType` | `consistency` = None
`int` | `consistencyDelay` = 60
`int` | `killTime` = 5
`int` | `threshold` = 1
Inherited from Service
`tuple` | `__implements__` = `(<class twisted.application.service.ISe...`
`NoneType` | `name` = None
`NoneType` | `parent` = None
`int` | `running` = 0

Class Variable Details

### active

  Type:
    `int`
  Value:

        0

### consistency

  Type:
    `NoneType`
  Value:

        None

### consistencyDelay

  Type:
    `int`
  Value:

        60

### killTime

  Type:
    `int`
  Value:

        5

### threshold

  Type:
    `int`
  Value:

        1

Generated by Epydoc 2.0 on Sat May 15 20:07:54 2004 | http://epydoc.sf.net